--[[

HelloWorld Condensed UI/HUD Compatible (CUIC) Vendetta Online Plug-in Demonstartor
 
Modify a plug-in that uses purchaseprint to have a condensed UI/HUD compatible color coded message format.

May, 2014

Original code using purchaseprint:

declare('HelloWorld', HelloWorld or {})

function HelloWorld.cmd(_,data)
  purchaseprint ('Hello, World!')
end

RegisterUserCommand('say_hi',HelloWorld.cmd)

]]

declare('HelloWorld', HelloWorld or {})

HelloWorld.colors = {}
HelloWorld.colors.WHITE = '\127DDDDDD'
HelloWorld.colors.YELLOW = '\127FFFF00'

function HelloWorld.pinfo(str)
    print (HelloWorld.colors.YELLOW .. '(HelloWorld) ' .. HelloWorld.colors.WHITE .. '' ..tostring(str))
end

function HelloWorld.cmd(_,data)
  HelloWorld.pinfo ('Hello, World!')
end

RegisterUserCommand('say_hi',HelloWorld.cmd)

